Bug 1002703 - Review Request: juniversalchardet - A Java port of Mozilla's universalchardet
Review Request: juniversalchardet - A Java port of Mozilla's universalchardet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1019650
  Show dependency treegraph
 
Reported: 2013-08-29 14:29 EDT by gil cattaneo
Modified: 2013-11-10 01:27 EST (History)
3 users (show)

See Also:
Fixed In Version: juniversalchardet-1.0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-29 14:29:49 EDT
Spec URL: http://gil.fedorapeople.org/juniversalchardet.spec
SRPM URL: http://gil.fedorapeople.org/juniversalchardet-1.0.3-1.fc19.src.rpm
Description:
juniversalchardet is a Java port of 'universalchardet',
that is the encoding detector library of Mozilla.
Fedora Account System Username: gil
Comment 1 Björn "besser82" Esser 2013-10-16 14:14:54 EDT
taken  ;)
Comment 2 Björn "besser82" Esser 2013-10-19 03:57:31 EDT
Package one small issue.  No blockers  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils

  ---> please add them as BuildRequires during import.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MPL (v1.1) GPL (unversioned/unknown version)", "Unknown or generated". 6
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1002703-juniversalchardet/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines

     ---> missing `BuildRequires: jpackage-utils`.
          Can be fixed during import.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     juniversalchardet-javadoc

     ---> False positive.  Documentation should have no Requires
          on main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no testsuite available.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: juniversalchardet-1.0.3-1.fc21.noarch.rpm
          juniversalchardet-javadoc-1.0.3-1.fc21.noarch.rpm
          juniversalchardet-1.0.3-1.fc21.src.rpm
juniversalchardet.noarch: W: spelling-error Summary(en_US) universalchardet -> universality
juniversalchardet.noarch: W: spelling-error %description -l en_US universalchardet -> universality
juniversalchardet.src: W: spelling-error Summary(en_US) universalchardet -> universality
juniversalchardet.src: W: spelling-error %description -l en_US universalchardet -> universality
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint juniversalchardet-javadoc juniversalchardet
juniversalchardet.noarch: W: spelling-error Summary(en_US) universalchardet -> universality
juniversalchardet.noarch: W: spelling-error %description -l en_US universalchardet -> universality
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
juniversalchardet-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

juniversalchardet (rpmlib, GLIBC filtered):
    java
    javapackages-tools
    jpackage-utils



Provides
--------
juniversalchardet-javadoc:
    juniversalchardet-javadoc

juniversalchardet:
    juniversalchardet
    mvn(com.googlecode.juniversalchardet:juniversalchardet)



Source checksums
----------------
http://juniversalchardet.googlecode.com/files/juniversalchardet-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 3ef0e115548ca24c5a61945ba84078e2b8aa5eac5933c0af0f601fcc2be6e1ae
  CHECKSUM(SHA256) upstream package : 3ef0e115548ca24c5a61945ba84078e2b8aa5eac5933c0af0f601fcc2be6e1ae
http://repo1.maven.org/maven2/com/googlecode/juniversalchardet/juniversalchardet/1.0.3/juniversalchardet-1.0.3.pom :
  CHECKSUM(SHA256) this package     : 7846399b35c7cd642a9b3a000c3e2d62d04eb37a4547b6933cc8b18bcc2f086b
  CHECKSUM(SHA256) upstream package : 7846399b35c7cd642a9b3a000c3e2d62d04eb37a4547b6933cc8b18bcc2f086b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1002703
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 3 gil cattaneo 2013-10-19 06:34:03 EDT
BuildRequires: jpackage-utils and Required: jpackage-utils is non needed
because jpackage-utils (retired) was replaced by javapackages-tools

Thanks!

New Package SCM Request
=======================
Package Name: juniversalchardet
Short Description: A Java port of Mozilla's universalchardet
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-10-19 17:10:06 EDT
Git done (by process-git-requests).
Comment 5 gil cattaneo 2013-10-19 17:11:34 EDT
Thanks!
Comment 6 Fedora Update System 2013-10-19 18:26:05 EDT
juniversalchardet-1.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/juniversalchardet-1.0.3-1.fc20
Comment 7 Fedora Update System 2013-10-19 18:33:51 EDT
juniversalchardet-1.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/juniversalchardet-1.0.3-1.fc19
Comment 8 Fedora Update System 2013-10-20 13:46:23 EDT
juniversalchardet-1.0.3-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-10-28 23:36:25 EDT
juniversalchardet-1.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-11-10 01:27:23 EST
juniversalchardet-1.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.